﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Petzold.Epub.Common
{
    public struct TextSize
    {
        public TextSize(double width, double height, double baseline, double spaceWidth)
            : this()
        {
            this.Width = width;
            this.Height = height;
            this.Baseline = baseline;
            this.SpaceWidth = spaceWidth;
        }

        public double Width { private set; get; }

        public double Height { private set; get; }

        public double Baseline { private set; get; }

        public double SpaceWidth { private set; get; }

        public override string ToString()
        {
            return String.Format("{0}×{1}", this.Width, this.Height);
        }
    }
}
