﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Petzold.Epub.Common
{
    public class Word : PageItem, IWord
    {
        public string Text { set; get; }

        public string FontFamily { set; get; }

        public double FontSize { set; get; }

        public bool IsItalic { set; get; }

        public bool IsBold { set; get; }

        public RgbColor Color { set; get; }

        public Word CloneWithNewText(string text)
        {
            return new Word
            {
                Text = text,
                FontFamily = this.FontFamily,
                FontSize = this.FontSize,
                IsItalic = this.IsItalic,
                IsBold = this.IsBold,
                Color = this.Color
            };
        }
    }
}
