﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.Storage;
using Windows.Storage.Streams;

namespace TheNewEpublic
{
    public static class Helpers
    {
        public static Task<byte[]> ReadStorageFileAsync(StorageFile storageFile)
        {
            return Task.Run<byte[]>(async () =>
            {
                ulong size = storageFile.Size;
                IInputStream inputStream = await storageFile.OpenForReadAsync();
                DataReader dataReader = new DataReader(inputStream);
                await dataReader.LoadAsync((uint)size);
                byte[] buffer = new byte[(int)size];
                dataReader.ReadBytes(buffer);
                return buffer;
            });
        }
    }
}
