﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Data;

namespace TheNewEpublic
{
    public class IntToSpaceConverter : IValueConverter
    {
        public object Convert(object value, string typeName, object parameter, string language)
        {
            int number;
            int multiplier;

            if (!Int32.TryParse(value.ToString(), out number))
                number = 0;

            if (parameter == null || !Int32.TryParse(parameter.ToString(), out multiplier))
                multiplier = 0;

            return new string(' ', number * multiplier);
        }

        public object ConvertBack(object value, string typeName, object parameter, string language)
        {
            return 0;
        }
    }
}
