﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Petzold.Epub.Common
{
    public struct Dimension
    {
        public Dimension(double width, double height)
            : this()
        {
            this.Width = width;
            this.Height = height;
        }

        public double Width { private set; get; }

        public double Height { private set; get; }

        public override string ToString()
        {
            return String.Format("{0}×{1}", this.Width, this.Height);
        }
    }
}
