﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Petzold.Epub.Common
{
    public class PageLayout
    {
        public PageLayout(Dimension pageSize, int characterOffset)
        {
            this.PageSize = pageSize;
            this.Content = new List<object>();
            this.Background = RgbColor.White;
            this.CharacterOffset = characterOffset;
        }

        public Dimension PageSize { protected set; get; }

        public IList<object> Content { protected set; get; }

        public RgbColor Background { set; get; }

        public int CharacterOffset { protected set; get; }

        public bool IsLastPage { set; get; }
    }
}
